-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_DettPatrAziendale_pre_selective

CREATE procedure [C6StagingPeriodico].[RP_ST_DettPatrAziendale_pre_selective] as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettPatrAziendale_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)

	truncate table C6StagingPeriodico.RP_DettPatrAziendale

	insert into C6StagingPeriodico.RP_DettPatrAziendale
	
	
	
/* 20/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non pił utilizzati per l'evolutiva patrimonio immobiliare.
select *  from [CONSEVO_PERIODICO].[consulenzaEvoluta].dbo.DettPatrAziendale */
	select [chiaveProdottoTerzi],
	NULL,
	[denominazione],
	[codTipoCompagnia],
	[patrimonio],
	NULL,
	NULL,
	NULL,
	[idTipoAzienda],
	NULL,
	NULL,
	[numQuote],
	[valoreStimato],
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL
	
	from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettPatrAziendale
	
	
	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettPatrAziendale_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettPatrAziendale_pre_selective'
		)
	
end


